Name:          libftdi1
Version:       1.4
Release:       1mamba
Summary:       A library to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.intra2net.com/en/developer/libftdi/index.php
Source:        http://www.intra2net.com/en/developer/libftdi/download/libftdi1-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libconfuse-devel
BuildRequires: libgcc
BuildRequires: libpython-devel
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
BuildRequires: libusbx-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R using libusb, including the popular bitbang mode. This library is linked with your program in userspace, no kernel driver required.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R using libusb, including the popular bitbang mode. This library is linked with your program in userspace, no kernel driver required.

This package contains static libraries and header files need for development.

%package -n ftdi1-utils
Summary:       Utilities based on %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ftdi1-utils
Utilities to talk to FTDI chips: FT232BM/245BM, FT2232C/D and FT232/245R using libusb, including the popular bitbang mode. 

%prep
%setup -q -n libftdi1-%{version}

%build
%cmake -d build
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libftdi1.so.*
%{_libdir}/libftdipp1.so.*
%{python3_sitearch}/_ftdi1.so
%{python3_sitearch}/ftdi1.py
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/libftdi1-config
%{_libdir}/libftdi1.a
#%{_libdir}/libftdi1.la
%{_libdir}/libftdi1.so
%{_libdir}/libftdipp1.a
#%{_libdir}/libftdipp1.la
%{_libdir}/libftdipp1.so
%dir %{_includedir}/libftdi1
%{_includedir}/libftdi1/ftdi.h
%{_includedir}/libftdi1/ftdi.hpp
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/cmake/libftdi1
%{_libdir}/cmake/libftdi1/LibFTDI1Config.cmake
%{_libdir}/cmake/libftdi1/LibFTDI1ConfigVersion.cmake
%{_libdir}/cmake/libftdi1/UseLibFTDI1.cmake
%dir %{_datadir}/libftdi
%dir %{_datadir}/libftdi/examples
%{_datadir}/libftdi/examples/*.py
%dir %{_docdir}/libftdi1
%{_docdir}/libftdi1/example.conf
%doc ChangeLog README README.mingw

%files -n ftdi1-utils
%defattr(-,root,root)
%{_bindir}/ftdi_eeprom

%changelog
* Sun Oct 13 2019 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Fri Nov 28 2014 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Wed Feb 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-3mamba
- rename ftdi-utils to ftdi1-utils

* Sun Feb 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- renamed to libftdi1

* Sat Feb 08 2014 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Sun Dec 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 0.20-1mamba
- automatic version update by autodist

* Sun Aug 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16-1mamba
- package created by autospec
